libosmo-sigtran 2.1.0.172-a2b0 Osmocom SIGTRAN library

Loading...
Searching...
No Matches
Data Fields
osmo_xua_server Struct Reference

`#include <ss7_xua_srv.h>`

## Data Fields
struct llist_head | list
struct osmo_ss7_instance * | inst
struct llist_head | asp_list
struct osmo_stream_srv_link * | server
struct { |
bool accept_dyn_reg |
struct osmo_ss7_asp_peer local |
enum osmo_ss7_asp_protocol proto |
struct { |
bool num_ostreams_present |
bool max_instreams_present |
uint16_t num_ostreams_value |
uint16_t max_instreams_value |
} sctp_init |
int trans_proto |
| The underlaying transport protocol (one of IPPROTO_*) More...
} | cfg |

## Field Documentation

## ◆ accept_dyn_reg

bool osmo_xua_server::accept_dyn_reg

Referenced by DEFUN_ATTR(), ss7_vty_write_one_oxs(), and xua_accept_cb().

## ◆ asp_list

struct llist_head osmo_xua_server::asp_list

Referenced by ss7_xua_server_create2(), ss7_xua_server_destroy(), and xua_accept_cb().

## ◆ [struct]

struct { ... } osmo_xua_server::cfg

Referenced by _show_cs7_xua(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_simple_server_add_clnt(), ss7_vty_write_one_oxs(), ss7_xua_server_add_local_host(), ss7_xua_server_bind(), ss7_xua_server_create2(), ss7_xua_server_del_local_host(), ss7_xua_server_find2(), ss7_xua_server_set_default_local_hosts(), ss7_xua_server_set_local_hosts(), ss7_xua_srv_apply_sctp_init_pars(), vty_dump_xua_server(), and xua_accept_cb().

## ◆ inst

struct osmo_ss7_instance* osmo_xua_server::inst

Referenced by _show_cs7_xua(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_set_max_optional_data(), ss7_vty_node_oxs_go_parent(), ss7_xua_server_create(), ss7_xua_server_create2(), ss7_xua_server_find(), ss7_xua_server_find2(), write_one_cs7(), and xua_accept_cb().

## ◆ list

struct llist_head osmo_xua_server::list

Referenced by _show_cs7_xua(), ss7_xua_server_create2(), ss7_xua_server_destroy(), ss7_xua_server_find2(), and write_one_cs7().

## ◆ local

struct osmo_ss7_asp_peer osmo_xua_server::local

Referenced by _show_cs7_xua(), osmo_sccp_simple_server_add_clnt(), ss7_vty_write_one_oxs(), ss7_xua_server_add_local_host(), ss7_xua_server_bind(), ss7_xua_server_create2(), ss7_xua_server_del_local_host(), ss7_xua_server_find2(), ss7_xua_server_set_default_local_hosts(), ss7_xua_server_set_local_hosts(), vty_dump_xua_server(), and xua_accept_cb().

## ◆ max_instreams_present

bool osmo_xua_server::max_instreams_present

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), ss7_vty_write_one_oxs(), and ss7_xua_srv_apply_sctp_init_pars().

## ◆ max_instreams_value

uint16_t osmo_xua_server::max_instreams_value

Referenced by DEFUN_ATTR(), ss7_vty_write_one_oxs(), and ss7_xua_srv_apply_sctp_init_pars().

## ◆ num_ostreams_present

bool osmo_xua_server::num_ostreams_present

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), ss7_vty_write_one_oxs(), and ss7_xua_srv_apply_sctp_init_pars().

## ◆ num_ostreams_value

uint16_t osmo_xua_server::num_ostreams_value

Referenced by DEFUN_ATTR(), ss7_vty_write_one_oxs(), and ss7_xua_srv_apply_sctp_init_pars().

## ◆ proto

enum osmo_ss7_asp_protocol osmo_xua_server::proto

Referenced by _show_cs7_xua(), DEFUN(), DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), ss7_vty_write_one_oxs(), ss7_xua_server_bind(), ss7_xua_server_create(), ss7_xua_server_create2(), ss7_xua_server_find(), ss7_xua_server_find2(), vty_dump_xua_server(), and xua_accept_cb().

## ◆ [struct]

struct { ... } osmo_xua_server::sctp_init

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), ss7_vty_write_one_oxs(), and ss7_xua_srv_apply_sctp_init_pars().

## ◆ server

struct osmo_stream_srv_link* osmo_xua_server::server

Referenced by ss7_xua_server_add_local_host(), ss7_xua_server_bind(), ss7_xua_server_create2(), ss7_xua_server_del_local_host(), ss7_xua_server_destroy(), ss7_xua_server_set_local_hosts(), ss7_xua_srv_apply_sctp_init_pars(), and vty_dump_xua_server().

## ◆ trans_proto

int osmo_xua_server::trans_proto

The underlaying transport protocol (one of IPPROTO_*)

Referenced by _show_cs7_xua(), DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_simple_server_add_clnt(), osmo_sccp_simple_server_on_ss7_id(), ss7_vty_write_one_oxs(), ss7_xua_server_bind(), ss7_xua_server_create(), ss7_xua_server_create2(), ss7_xua_server_find(), ss7_xua_server_find2(), vty_dump_xua_server(), and xua_accept_cb().

The documentation for this struct was generated from the following file:

- src/ss7_xua_srv.h